-------------------------------------------------------------------------------
--|> Default Settings
-- Default settings table for the addon
-------------------------------------------------------------------------------
--|> UPVALUE GLOBALS
-------------------------------------------------------------------------------
local weizPVP = weizPVP

--=> Init Options Data Table
-------------------------------------------------------------------------------

--=> Set Default Options
-------------------------------------------------------------------------------
function weizPVP.SetDefaultOptionsTable()
    weizPVP.Options.DB_VERSION = "1.1"
    weizPVP.Options.Enabled = true
    weizPVP.Options.WindowVisable = true
    weizPVP.Options.WindowLocked = false
    weizPVP.Options.WindowPinned = false
    weizPVP.Options.GLOBAL_DEBUG = false
    weizPVP.Options.EnableBGs = false

    --> Alerts
    weizPVP.Options.AudioAlerts.DetectedPlayerSound = false

    --> Sorting
    weizPVP.Options.Sorting.NearbyInactiveTimeout = 32
    weizPVP.Options.Sorting.NearbyActiveTimeout = 14

    --> Main Frame
    weizPVP.Options.Frames.BackgroundTexture = "weizPAK: Background"
    weizPVP.Options.Frames.BorderTexture = "weizPAK: Border"
    weizPVP.Options.Frames.BackgroundColor = {0, 0, 0, 0.6}
    weizPVP.Options.Frames.Width = 220
    weizPVP.Options.Frames.Height = 216
    weizPVP.Options.Frames.X = 1518
    weizPVP.Options.Frames.Y = 790
    weizPVP.Options.Frames.BorderSize = 4
    weizPVP.Options.Frames.AutoResize = false

    --> Scroll Frame
    -- DEFAULT SETTINGS GET COMPUTED USING OTHER VALUES

    --> List Frame
    -- DEFAULT SETTINGS GET COMPUTED USING OTHER VALUES

    --> Header Frame
    weizPVP.Options.Frames.Header.Height = 26
    weizPVP.Options.Frames.Header.Font = "Roboto Condensed BoldItalic"
    weizPVP.Options.Frames.Header.FontSize = 18
    weizPVP.Options.Frames.Header.FontOutline = "OUTLINE"

    --> Footer Frame
    weizPVP.Options.Frames.Footer.Height = 18
    weizPVP.Options.Frames.Footer.Font = "Accidental Presidency"
    weizPVP.Options.Frames.Footer.FontSize = 14
    weizPVP.Options.Frames.Footer.FontOutline = "OUTLINE"

    --> Bars
    weizPVP.Options.Bars.MaxNumBars = 24
    weizPVP.Options.Bars.AlphaDead = 0.8
    weizPVP.Options.Bars.AlphaInactive = 0.6
    weizPVP.Options.Bars.AlphaDefault = 1
    weizPVP.Options.Bars.RowHeight = 18
    weizPVP.Options.Bars.VerticalSpacing = 1

    weizPVP.Options.Bars.Texture = "weizPAK: StatusBar"
    weizPVP.Options.Bars.HighlightTexture = "weizPAK: StatusBar-Highlight"
    weizPVP.Options.Bars.BackgroundTexture = "weizPAK: Bar-BG"
    weizPVP.Options.Bars.NameFont = "Accidental Presidency"
    weizPVP.Options.Bars.NameFontSize = 16
    weizPVP.Options.Bars.LevelFont = "Accidental Presidency Italic"
    weizPVP.Options.Bars.LevelFontSize = 16
    weizPVP.Options.Bars.GuildFont = "Accidental Presidency"
    weizPVP.Options.Bars.GuildFontSize = 14

    --> Stealth Alert
    weizPVP.Options.StealthAlert.Enabled = true
    weizPVP.Options.StealthAlert.EnableSound = true

    --> Crosshair
    weizPVP.Options.Crosshair.Enabled = true
    weizPVP.Options.Crosshair.OnlyOnKosTargets = false
    weizPVP.Options.Crosshair.ColorOverride = false
    weizPVP.Options.Crosshair.ColorOverrideRGBA = {1, 0.2, 0.2, 0.6}

    --> Bounties
    weizPVP.Options.Bounties.Enabled = false
    weizPVP.Options.Bounties.MiniMapArrows = false
    weizPVP.Options.Bounties.NameplateIndicators = false
    weizPVP.Options.Bounties.ShowOnBars = false
    weizPVP.Options.Bounties.AlertOnSelf = false
    weizPVP.Options.Bounties.AlertOnGroupMember = false
    weizPVP.Options.Bounties.AlertOnEnemy = false

    --> WorldRaider
    weizPVP.Options.WorldRaider.Enabled = false
    weizPVP.Options.WorldRaider.LeaderNameplateIndicator = false
    weizPVP.Options.WorldRaider.LeaderRangeWarning = false
    weizPVP.Options.WorldRaider.LeaderMapIcon = false
    weizPVP.Options.WorldRaider.LeaderTargetNameplateIndicator = false
    weizPVP.Options.WorldRaider.MapPingAnnounce = false
    weizPVP.Options.WorldRaider.MapPingArrow = false
    weizPVP.Options.WorldRaider.MapPingAlert = false

    --> Optimizer
    weizPVP.Options.Optimizer.Enabled = false
    weizPVP.Options.Optimizer.MinFPSBefore = false

    --=> COMPUTE REAMAINING SETTINGS BASED ON EXISTING VALUES
    -------------------------------------------------------------------------------
    weizPVP.Options.Frames.List.Height = weizPVP.Options.Bars.RowHeight + weizPVP.Options.Bars.VerticalSpacing
    weizPVP.Options.Frames.Scroll.Height = (weizPVP.Options.Frames.List.Height * 12) + weizPVP.Options.Bars.VerticalSpacing
    weizPVP.Options.Frames.Height = weizPVP.Options.Frames.Scroll.Height
    weizPVP.Options.Frames.List.Height = weizPVP.Options.Frames.List.Height * weizPVP.Options.Bars.MaxNumBars

    return true
end
