-------------------------------------------------------------------------------
--|> Static Options
-- Options that are still being adjusted and have no options in place to change them.
-- Always holds the latest options.
-------------------------------------------------------------------------------
--|> UPVALUE GLOBALS
-------------------------------------------------------------------------------
local weizPVP = weizPVP

--=> Set Static Options
-------------------------------------------------------------------------------
function weizPVP.SetStaticOptions()
    --> Sorting
    weizPVP.Options.Sorting.NearbyInactiveTimeout = 32
    weizPVP.Options.Sorting.NearbyActiveTimeout = 14

    --> Frames
    weizPVP.Options.Frames.BorderSize = 4
    weizPVP.Options.Frames.AutoResize = true
    weizPVP.Options.Frames.BackgroundTexture = "weizPAK: Background"
    weizPVP.Options.Frames.BorderTexture = "weizPAK: Border"
    weizPVP.Options.Frames.BackgroundColor = {0, 0, 0, 0.6}

    --> Header Frame
    weizPVP.Options.Frames.Header.Height = 26
    weizPVP.Options.Frames.Header.Font = "Roboto Condensed BoldItalic"
    weizPVP.Options.Frames.Header.FontSize = 18
    weizPVP.Options.Frames.Header.FontOutline = "OUTLINE"

    --> Footer Frame
    weizPVP.Options.Frames.Footer.Height = 18
    weizPVP.Options.Frames.Footer.Font = "Accidental Presidency"
    weizPVP.Options.Frames.Footer.FontSize = 14
    weizPVP.Options.Frames.Footer.FontOutline = "OUTLINE"

    --> Bars
    weizPVP.Options.Bars.MaxNumBars = 24
    weizPVP.Options.Bars.AlphaDead = 0.6
    weizPVP.Options.Bars.AlphaInactive = 0.6
    weizPVP.Options.Bars.AlphaDefault = 1
    weizPVP.Options.Bars.RowHeight = 18
    weizPVP.Options.Bars.VerticalSpacing = 1

    weizPVP.Options.Bars.Texture = "weizPAK: StatusBar"
    weizPVP.Options.Bars.HighlightTexture = "weizPAK: StatusBar-Highlight"
    weizPVP.Options.Bars.BackgroundTexture = "weizPAK: Bar-BG"
    weizPVP.Options.Bars.NameFont = "Accidental Presidency"
    weizPVP.Options.Bars.NameFontSize = 16
    weizPVP.Options.Bars.LevelFont = "Accidental Presidency Italic"
    weizPVP.Options.Bars.LevelFontSize = 16
    weizPVP.Options.Bars.GuildFont = "Accidental Presidency"
    weizPVP.Options.Bars.GuildFontSize = 14
end
